# DirectedEdge | data-structure-typed
Documentation for data-structure-typed

# Class DirectedEdge<T>

#### Type Parameters

- #### T = number

#### Hierarchy

- AbstractEdge <T>
  - DirectedEdge
    - MapEdge

- Defined in src/data-structures/graph/directed-graph.ts:26

#####
Index

### Constructors

constructor

### Properties

_dest
_hashCode
_src

### Accessors

dest
hashCode
src
val
weight

### Methods

_setHashCode

## Constructors

### constructor

- new DirectedEdge<T>(src, dest, weight?, val?): DirectedEdge <T>

- The constructor function initializes the source and destination vertices of an edge, along with an optional weight and value.

  #### Type Parameters

  - #### T = number

  #### Parameters

  - ##### src: VertexId

    The `src` parameter is the source vertex ID. It represents the starting point of an edge in a graph.

  - ##### dest: VertexId

    The `dest` parameter represents the destination vertex of an edge. It is of type `VertexId`, which is likely a unique identifier for a vertex in a graph.

  - ##### `Optional` weight: number

    The weight parameter is an optional number that represents the weight of the edge.

  - ##### `Optional` val: T

    The `val` parameter is an optional parameter of type `T`. It represents the value associated with the edge.

  #### Returns DirectedEdge <T>

  Overrides AbstractEdge.constructor

  - Defined in src/data-structures/graph/directed-graph.ts:38

## Properties

### `Private` _dest

_dest: VertexId

- Defined in src/data-structures/graph/directed-graph.ts:54

### `Protected` _hashCode

_hashCode: string

Inherited from AbstractEdge._hashCode

- Defined in src/data-structures/graph/abstract-graph.ts:83

### `Private` _src

_src: VertexId

- Defined in src/data-structures/graph/directed-graph.ts:44

## Accessors

### dest

- get dest(): VertexId

- #### Returns VertexId

  - Defined in src/data-structures/graph/directed-graph.ts:56
- set dest(v): void

- #### Parameters

  - ##### v: VertexId

  #### Returns void

  - Defined in src/data-structures/graph/directed-graph.ts:60

### hashCode

- get hashCode(): string

- #### Returns string

  Inherited from AbstractEdge.hashCode

  - Defined in src/data-structures/graph/abstract-graph.ts:85

### src

- get src(): VertexId

- #### Returns VertexId

  - Defined in src/data-structures/graph/directed-graph.ts:46
- set src(v): void

- #### Parameters

  - ##### v: VertexId

  #### Returns void

  - Defined in src/data-structures/graph/directed-graph.ts:50

### val

- get val(): undefined | T

- #### Returns undefined | T

  Inherited from AbstractEdge.val

  - Defined in src/data-structures/graph/abstract-graph.ts:65
- set val(value): void

- #### Parameters

  - ##### value: undefined | T

  #### Returns void

  Inherited from AbstractEdge.val

  - Defined in src/data-structures/graph/abstract-graph.ts:69

### weight

- get weight(): number

- #### Returns number

  Inherited from AbstractEdge.weight

  - Defined in src/data-structures/graph/abstract-graph.ts:75
- set weight(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  Inherited from AbstractEdge.weight

  - Defined in src/data-structures/graph/abstract-graph.ts:79

## Methods

### `Protected` _setHashCode

- _setHashCode(v): void

- The function sets the value of the _hashCode property to the provided string.

  #### Parameters

  - ##### v: string

    The parameter "v" is of type string and represents the value that will be assigned to the "_hashCode" property.

  #### Returns void

  Inherited from AbstractEdge._setHashCode

  - Defined in src/data-structures/graph/abstract-graph.ts:99

Generated using TypeDoc